MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions

# src/pcm_dither.h File Reference

`#include <stdint.h>`

Go to the source code of this file.

## Data Structures
struct | pcm_dither
## Functions
static void | pcm_dither_24_init (struct pcm_dither *dither)
void | pcm_dither_24_to_16 (struct pcm_dither *dither, int16_t *dest, const int32_t *src, unsigned num_samples)
void | pcm_dither_32_to_16 (struct pcm_dither *dither, int16_t *dest, const int32_t *src, unsigned num_samples)

## Function Documentation

static void pcm_dither_24_init | ( | struct pcm_dither * | dither | ) | `[inline, static]`

Definition at line 31 of file pcm_dither.h.

void pcm_dither_24_to_16 | ( | struct pcm_dither * | dither,
|  | int16_t * | dest,
|  | const int32_t * | src,
|  | unsigned | num_samples
| ) |  |

void pcm_dither_32_to_16 | ( | struct pcm_dither * | dither,
|  | int16_t * | dest,
|  | const int32_t * | src,
|  | unsigned | num_samples
| ) |  |